import type { WasmClient } from "./wasm";
import * as Types from "./bindings";
export type { Types };
export declare const defaultClientConfig: () => Types.ClientConfig;
export declare class Client {
    readonly client: WasmClient;
    constructor(client: WasmClient);
    instructions(type: Types.FlowType): Promise<Types.Instructions>;
    statement(req: Types.Statements): Promise<Types.StatementResponse>;
    witness_jwt(req: Types.Proofs): Promise<Types.JWTWrapper>;
    witness_ld(req: Types.Proofs): Promise<Types.CredentialWrapper>;
    verify(req: Types.VCWrapper): Promise<Types.VerifyRes>;
}
